Name:		i3blocks
Version:	1.4
Release:	%mkrel 2
Summary:	A flexible scheduler for your i3bar blocks
License:	GPLv3
URL:		https://github.com/vivien/i3blocks
Group:		Graphical desktop/Other
Source0:	https://github.com/vivien/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

Requires:	sysstat

%description
i3blocks is a highly flexible status line for the i3 window manager.
It handles clicks, signals and language-agnostic user scripts.

The content of each block (e.g. time, battery status, network state, ...)
is the output of a command provided by the user. Blocks are updated on
click, at a given interval of time or on a given signal, also specified
by the user.

It aims to respect the i3bar protocol, providing customization such as
text alignment, urgency, color, and more.

%prep
%setup -q

# Make relocatable.
sed \
	-e 's|PREFIX=/usr/local|PREFIX=%{_prefix}|g'		\
	-e 's|SYSCONFDIR=/etc|SYSCONFDIR=%{_sysconfdir}|g'	\
	-e 's|-Wall|%{optflags}|g'				\
	-i Makefile

%build
%make_build

%install
%make_install

%files
%doc CHANGELOG* README*
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Aug 08 2016 sander85 <sander85> 1.4-2.mga6
+ Revision: 1045032
- Requires sysstat for CPU block

* Mon Aug 08 2016 sander85 <sander85> 1.4-1.mga6
+ Revision: 1045009
- imported package i3blocks

